#ifndef _HAVE_CPUFREQ_H
#define _HAVE_CPUFREQ_H

enum ARM_CPUFREQ {
	ARM_CPUFREQ_13,
	ARM_CPUFREQ_104,
	ARM_CPUFREQ_208,
	ARM_CPUFREQ_416
};

#define PCMD0 (_PXAREG(0x40F00080))
#define PCMD1 (_PXAREG(0x40F00084))
#define PCMD2 (_PXAREG(0x40F00088))
#define PCMD3 (_PXAREG(0x40F0008C))
#define PCMD4 (_PXAREG(0x40F00090))

enum ARM_CPUFREQ cpufreqGetFrequency();
void cpufreqSetFrequency(enum ARM_CPUFREQ freq);

void cpufreqInit();
extern enum ARM_CPUFREQ oldCoreFrequency;
#endif
