#include <stdio.h>
#include "registers.h"
#include "inttypes.h"

const bool __RELEASE__ = FALSE;
const char _IMAGE_DESC[] = "Objectfile Tester";

static inline void wait_second (uint8_t time) {//=1s
	OMCR7 = OMCR_C | OMCR_S(0) | OMCR_CRES(4); //set to 1s
	OSMR7 = 300000000L;
	OSCR7 = 0; //start timer
	uint32_t t=time*1000000;
	while(OSCR7<t);
	OMCR7&=(~OMCR_C)&0xFF;
	OMCR7|=OMCR_C;
}

__attribute__((noreturn))
int main() {
	GPIO_SET_ALT_FUNC(103, 0, 1);
	GPCR(103) = GPIO_BIT(103);
	
	GPIO_SET_ALT_FUNC(103, 0, 1);
	
	while (TRUE) {
		if (GPLR(103) & GPIO_BIT(103)) {
			GPCR(103) = GPIO_BIT(103);
		} else {
			GPSR(103) = GPIO_BIT(103);
			//asm("swi 56");
		}
		wait_second(1);
	}
}

